package net.northking.cctp.scriptcase.dto.caseDataSet;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

public class AtuCaseScriptQueryDto {
    @ApiModelProperty("系统id")
    private String proId;

    @ApiModelProperty("节点id")
    private String nodeId;

    @ApiModelProperty("脚本类型")
    private String scriptType;

    @ApiModelProperty("脚本名称")
    private String scriptName;

    @ApiModelProperty("计划id")
    private String planId;

    @ApiModelProperty("不查询的脚本")
    private List<String> scriptList;

    @ApiModelProperty("脚本编码")
    @Size(max = 32, message="脚本编码-scriptCode: 数据长度不能 > 32" )
    private String scriptCode;

    @ApiModelProperty("负责人")
    @Size(max = 32, message="负责人-principal: 数据长度不能 > 32" )
    private String principal;

    private List<String> principalIds;

    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedName;

    private List<String> updatedBys;

    @ApiModelProperty("创建时间开始")
    private String createdTimeStart;
    @ApiModelProperty("创建时间结束")
    private String createdTimeEnd;
    @ApiModelProperty("修改时间开始")
    private String updatedTimeStart;
    @ApiModelProperty("修改时间结束")
    private String updatedTimeEnd;

    private Date startCreatedTime;

    private Date endCreatedTime;

    private Date startUpdatedTime;

    private Date endUpdatedTime;

    @ApiModelProperty("创建人")
    private String creator;

    private List<String> createBys;

    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    private String creatorId;

    private String principalId;

    private String updateBy;

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public List<String> getScriptList() {
        return scriptList;
    }

    public void setScriptList(List<String> scriptList) {
        this.scriptList = scriptList;
    }

    public String getProId() {
        return proId;
    }

    public void setProId(String proId) {
        this.proId = proId;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public String getPrincipal() {
        return principal;
    }

    public void setPrincipal(String principal) {
        this.principal = principal;
    }

    public List<String> getPrincipalIds() {
        return principalIds;
    }

    public void setPrincipalIds(List<String> principalIds) {
        this.principalIds = principalIds;
    }

    public String getUpdatedName() {
        return updatedName;
    }

    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    public List<String> getUpdatedBys() {
        return updatedBys;
    }

    public void setUpdatedBys(List<String> updatedBys) {
        this.updatedBys = updatedBys;
    }

    public String getCreatedTimeStart() {
        return createdTimeStart;
    }

    public void setCreatedTimeStart(String createdTimeStart) {
        this.createdTimeStart = createdTimeStart;
    }

    public String getCreatedTimeEnd() {
        return createdTimeEnd;
    }

    public void setCreatedTimeEnd(String createdTimeEnd) {
        this.createdTimeEnd = createdTimeEnd;
    }

    public String getUpdatedTimeStart() {
        return updatedTimeStart;
    }

    public void setUpdatedTimeStart(String updatedTimeStart) {
        this.updatedTimeStart = updatedTimeStart;
    }

    public String getUpdatedTimeEnd() {
        return updatedTimeEnd;
    }

    public void setUpdatedTimeEnd(String updatedTimeEnd) {
        this.updatedTimeEnd = updatedTimeEnd;
    }

    public Date getStartCreatedTime() {
        return startCreatedTime;
    }

    public void setStartCreatedTime(Date startCreatedTime) {
        this.startCreatedTime = startCreatedTime;
    }

    public Date getEndCreatedTime() {
        return endCreatedTime;
    }

    public void setEndCreatedTime(Date endCreatedTime) {
        this.endCreatedTime = endCreatedTime;
    }

    public Date getStartUpdatedTime() {
        return startUpdatedTime;
    }

    public void setStartUpdatedTime(Date startUpdatedTime) {
        this.startUpdatedTime = startUpdatedTime;
    }

    public Date getEndUpdatedTime() {
        return endUpdatedTime;
    }

    public void setEndUpdatedTime(Date endUpdatedTime) {
        this.endUpdatedTime = endUpdatedTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public List<String> getCreateBys() {
        return createBys;
    }

    public void setCreateBys(List<String> createBys) {
        this.createBys = createBys;
    }
}
